#include "raylib.h"
#include "App.hpp"

int main(void)
{
  char name[] = "treender";
  int screenWidth = 800;
  int screenHeight = 800;

#ifdef MY_ANDROID
  InitWindow(0, 0, name);
  screenWidth = GetScreenWidth();
  screenHeight = GetScreenHeight();
#else
  InitWindow(screenWidth, screenHeight, name);
#endif
  SetTargetFPS(60);
  {
    App app(screenWidth, screenHeight);
    app.init();
    while (!WindowShouldClose())
    {
      app.update();
      BeginDrawing();
      app.draw();
      EndDrawing();
    }
  }

  CloseWindow();
  return 0;
}