#include <array>
#include "Tree.hpp"

class App
{

public:
  App(int screenWidth, int screenHeight);
  ~App() = default;
  void init();
  void update();
  void draw();
  void deinit();

private:
  int pos = 0;
  int screenWidth, screenHeight;
  std::array<Tree, 2> trees;
  Vector2 center;
  float rotation = 0.0f;
  Rectangle destB;
  Rectangle destA;
};
